Bug 91640 - cannot rebuild libxml2 package without his own devel package installed
Summary: cannot rebuild libxml2 package without his own devel package installed
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: libxml2   
(Show other bugs)
Version: 7.3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Veillard
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-05-26 16:15 UTC by Seweryn Walentynowicz
Modified: 2007-04-18 16:54 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-14 22:14:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Seweryn Walentynowicz 2003-05-26 16:15:33 UTC
Description of problem:
libxml2-2.4.19-4.src.rpm cannot rebuild on system without libxml2-devel 
installed on

Version-Release number of selected component (if applicable):
libxml2-2.4.19-4

How reproducible:
Ever

Steps to Reproduce:
1. check if libxml2-devel package doesn't installed in your system
2. rpm --rebuild libxml2-2.4.19-4.src.rpm
    
Actual results:
rebuilding crashed at %install stage with message:
    RPM build errors:  
     File not found by glob: /var/tmp/libxml2-2.4.19-root/usr/lib/python*/site-
packages/libxml2mod.so

Expected results:
  no errors :o)

Additional info:
  Problem is about building dynamic shared object libxml2.la with
libtool command, which expect shared library to linking with at /usr/lib/
location, instead of in RPM_BUILD directory tree

Comment 1 Daniel Veillard 2003-07-14 22:14:23 UTC
Seems fixed in recent releases:
[root@gnome root]# rpm -qa | grep libxml2
libxml2-python-2.5.7-1
libxml2-2.5.7-1
[root@gnome root]# cat /etc/redhat-release
Red Hat Linux release 9 (Shrike)
[root@gnome root]# rpmbuild --rebuild /tmp/libxml2-2.5.8-1.src.rpm
[...]
Wrote: /usr/src/redhat/RPMS/i386/libxml2-2.5.8-1.i386.rpm
Wrote: /usr/src/redhat/RPMS/i386/libxml2-devel-2.5.8-1.i386.rpm
Wrote: /usr/src/redhat/RPMS/i386/libxml2-python-2.5.8-1.i386.rpm
[...]
+ exit 0
[root@gnome root]# 

  thanks,

Daniel



Note You need to log in before you can comment on or make changes to this bug.